Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Resource Limits - Passenger Applications

Discussion in 'General Discussion' started by diracuser, Jun 4, 2018.

  1. diracuser

    diracuser Active Member

    Joined:
    Oct 22, 2014
    Messages:
    40
    Likes Received:
    1
    Trophy Points:
    8
    cPanel Access Level:
    Root Administrator
    Hello.

    I have noticed that if I modify an account in the "Resource Limits" there is an entrance called "Passenger Applications" .
    I have read that is the number of account's Rubby applicactions.
    By default I want to put 0, because I don't want to enable this functionality, but I don't know where can I define this ...

    My question is : Where Can I define to 0 this functionality ?

    Thank You
     
  2. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,423
    Likes Received:
    1,957
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. diracuser

    diracuser Active Member

    Joined:
    Oct 22, 2014
    Messages:
    40
    Likes Received:
    1
    Trophy Points:
    8
    cPanel Access Level:
    Root Administrator
    Thank you @cPanelMichael but in WHM >> Home >> Packages >> Feature Manager, there aren't an option called "Passenger Applications", there are "Ruby on Rails" and RubyGems options
    Could I disable "Ruby on Rails" option ?

    Thank you
     
  4. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,423
    Likes Received:
    1,957
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello,

    It's likely the ea-ruby24-mod_passenger RPM is not installed on your system, meaning your users won't be able to access the Application Manager feature in cPanel, and it won't appear as a feature in WHM >> Feature Manager. Thus, the feature is disabled and value you choose in the account's package will only apply in the future should you decide to install that RPM.

    You can disable the Ruby on Rails and RubyGems features, but note those features are unrelated to the Application Manager feature and they were deprecated in cPanel & WHM version 66:

    Ruby System Deprecation

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice